package com.ruoyi.syzy.domain;

import com.ruoyi.common.utils.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Arrays;
import java.util.List;

/**
 * 志愿院校录取分数线对象 b_busi_wish_university_submits
 * 
 * @author mingxue
 * @date 2021-08-20
 */
@ApiModel("院校投档线")
public class BBusiWishUniversitySubmits extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty("主键")
    private Long id;

    /** 代码 */
    @Excel(name = "院校Id")
    @ApiModelProperty("院校Id")
    private String universityId;

    @ApiModelProperty("院校编码-国标")
    private String universityCode;

    @ApiModelProperty("院校名称")
    private String universityName;

    @ApiModelProperty("院校名称专业组")
    private String universityNameText;

    @ApiModelProperty("院校招生代码")
    private String collegeCode;

    /** 年份 */
    @Excel(name = "年份")
    @ApiModelProperty("年份")
    private String year;

    /** 所在地 */
    @Excel(name = "所在地")
    @ApiModelProperty("所在地")
    private String location;

    /** 批次 */
    @Excel(name = "批次")
    @ApiModelProperty("批次")
    private Integer batch;

    @ApiModelProperty("科类： 1理科(物理)，0文科(历史), 2文理不分")
    private Integer liberalScience;

    @ApiModelProperty("批次名称")
    private String batchName;

    @ApiModelProperty("选考要求")
    private String course;

    @ApiModelProperty("专业备注")
    private String collegeRemark;

    /** 科类 */
    @Excel(name = "科类")
    @ApiModelProperty("科类")
    private String type;

    /** 学历层次 */
    @Excel(name = "学历层次")
    @ApiModelProperty("学历层次")
    private String level;

    /** 投档分 */
    @Excel(name = "投档分")
    @ApiModelProperty("投档分")
    private Long score;

    /** 投档位次 */
    @Excel(name = "投档位次")
    @ApiModelProperty("投档位次")
    private Long seat;

    /** 计划录取人数 */
    @Excel(name = "计划录取人数")
    @ApiModelProperty("计划录取人数")
    private Long num;

    /** 录取人数 */
    @Excel(name = "录取人数")
    @ApiModelProperty("录取人数")
    private Long numReal;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    @ApiModelProperty("状态(0:无效,1:有效)")
    private Integer status;

    private String group;

    public String getGroup() {
        return StringUtils.getVoluntaryGroup(this.collegeCode);
    }

    public void setGroup(String group) {
        this.group = group;
    }
    public String getUniversityCode() {
        return universityCode;
    }

    public void setUniversityCode(String universityCode) {
        this.universityCode = universityCode;
    }

    public String getCollegeCode() {
        return collegeCode;
    }

    public void setCollegeCode(String collegeCode) {
        this.collegeCode = collegeCode;
    }

    public Integer getLiberalScience() {
        return liberalScience;
    }

    public void setLiberalScience(Integer liberalScience) {
        this.liberalScience = liberalScience;
    }

    public String getCourse() {
        return course;
    }

    public void setCourse(String course) {
        this.course = course;
    }

    public String getCollegeRemark() {
        return collegeRemark;
    }

    public void setCollegeRemark(String collegeRemark) {
        this.collegeRemark = collegeRemark;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUniversityId(String universityId) {
        this.universityId = universityId;
    }

    public String getUniversityId() {
        return universityId;
    }

    public String getUniversityName() {
        return universityName;
    }

    public void setUniversityName(String universityName) {
        this.universityName = universityName;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getYear() {
        return year;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocation() {
        return location;
    }

    public void setBatch(Integer batch) {
        this.batch = batch;
    }

    public Integer getBatch() {
        return batch;
    }

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getLevel() {
        return level;
    }

    public void setScore(Long score) {
        this.score = score;
    }

    public Long getScore() {
        return score;
    }

    public void setSeat(Long seat) {
        this.seat = seat;
    }

    public Long getSeat() {
        return seat;
    }

    public void setNum(Long num) {
        this.num = num;
    }

    public Long getNum() {
        return num;
    }

    public void setNumReal(Long numReal) {
        this.numReal = numReal;
    }

    public Long getNumReal() {
        return numReal;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public String getUniversityNameText() {
        return universityNameText;
    }

    public void setUniversityNameText(String universityNameText) {
        this.universityNameText = universityNameText;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("universityId", getUniversityId())
            .append("year", getYear()).append("location", getLocation()).append("batch", getBatch()).append("type", getType())
            .append("level", getLevel()).append("score", getScore()).append("seat", getSeat()).append("num", getNum())
            .append("numReal", getNumReal()).append("createTime", getCreateTime()).append("status", getStatus()).toString();
    }

    public static void main(String[] args) {
        List<String> aa= Arrays.asList("5","6");
        String aaa="56";

        String fontValue = "0351426789";
        StringBuilder result = new StringBuilder();
        aa.forEach(a->{
            for(int i=0;i<fontValue.length();i++){
                char b=fontValue.charAt(i);
                if(a.equalsIgnoreCase(String.valueOf(b))){
                    result.append(i);
                }
            }
        });
        System.out.println(result);
    }
}
